Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
MultipleDatabaseEntry Constructor (IEnumerable<(Of <(DatabaseEntry>)>), Boolean)
MultipleDatabaseEntry Class See Also Send Feedback

Construct a new key or data bulk buffer with a bunch of DatabaseEntry referring to recno.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public MultipleDatabaseEntry(
    	IEnumerable<DatabaseEntry> data,
    	bool recno
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	data As IEnumerable(Of DatabaseEntry), _
    	recno As Boolean _
    )

Visual C++
    public:
    MultipleDatabaseEntry(
    	IEnumerable<DatabaseEntry^>^ data,
    	bool recno
    )

#### Parameters

data
  Type: System.Collections.Generic..::.IEnumerable<(Of <(DatabaseEntry>)>)
  Enumerable data

recno
  Type: System..::.Boolean
  Whether it is buffer for keys in RecnoDatabase or QueueDatabase

# See Also

MultipleDatabaseEntry Class
MultipleDatabaseEntry Overload
BerkeleyDB Namespace